Subject: Re: bug#27217: texlive is too big

From: Pierre Neidhardt <[email-masked]>
Date: Thu, 10 Jan 2019 19:56:16 +0100

> Yes, the SVN repo does include generated files.  That’s not great, but
> we can choose to ignore those files (as we do in other projects).

And the builder should take care not to discard .sty / .cls files that are not
going to be generated.  I believe that in all cases the basename remains the
same between .dtx/.ins and .sty/.cls.  Then it's easy to know which one to keep and
which one to discards.

So what do you think of the tlpdb approach for a new tex-build-system?